package yuehaoxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/yuehaoxitong/model"
)

type open struct {
	Tables
	volume volume
	create string `name:"plan reception_uid* amount* begin_time@date end_time@date" role:"void"`
}

func (s open) Create(m *ice.Message, arg ...string) {
	if !m.WarnNotRight(!s.CheckRole(m)) {
		m.Cmd(s.volume, s.Create, arg, m.OptionSimple(model.QUEUE_UID))
	}
}
func (s open) List(m *ice.Message, arg ...string) {
	if !m.WarnNotRight(!s.CheckRole(m.Options(model.QUEUE_UID, arg[0]))) {
		m.Cmdy(s.volume, arg)
		if m.Length() == 0 {
			m.SetResult()
			m.EchoInfoButton(m.Trans("please create open", "请创建放号"), s.Create)
		} else {
			m.Action(s.Create)
		}
	}
}

func init() { ice.TeamCtxCmd(open{}) }
