package yuehaoxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/yuehaoxitong/model"
)

type take struct {
	Tables
	schedule schedule
	take     string `name:"take" role:"void"`
}

func (s take) Take(m *ice.Message, arg ...string) {
	m.Cmd(s.schedule, s.schedule.Take)
}
func (s take) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.schedule, s.schedule.SelectByStatus, arg[0], SchedulePlan, m.OptionSimple(model.USER_UID)).PushAction(s.Take).Action()
	kit.If(m.Length() == 0, func() { m.Echo(m.Trans("not found plan", "没有预约")) })
}

func init() { ice.TeamCtxCmd(take{}) }
